name: MAX98357
alias: MAX98357A, MAX98357B
variations: TQFN, WLP
description: amplifier, audio, class D, mono, 3W, PCM input
datasheet: https://datasheets.maximintegrated.com/en/ds/MAX98357A-MAX98357B.pdf

pinout@TQFN:
  SD_MODE: 4
  OUT:
    OUTP: 9
    OUTN: 10
  IN:
    DIN: 1
    BCLK: 16
    LRCLK: 14
  GAIN_SLOT: 2
  VDD: 7,8
  GND: 3,11,15
  NC: 5,6,12,13

pinout@WLP:
  SD_MODE: A1
  OUT:
    OUTP: A3
    OUTN: B3
  IN:
    DIN: B1
    BCLK: C1
    LRCLK: C3
  GAIN_SLOT: B2
  VDD: A2
  GND: C2

properties:
  in: IN, SD_MODE, GAIN_SLOT
  power: VDD
  ground: GND
  inverted: SD_MODE
  nc: NC

schematic:
  symbol: IC
  left: IN, SD_MODE, GAIN_SLOT
  right: OUT
  top: VDD
  bottom: GND

housing@TQFN:
  pattern: QFN
  bodyWidth: 2.9-3.1 # E
  bodyLength: 2.9-3.1 # D
  height: 0.7-0.8 # A
  leadWidth: 0.2-0.3 # b
  leadLength: 0.3-0.4 # L should be 0.5 but the generated pad is too long
  pitch: 0.5 # e
  pullback: 0
  leadCount: 16
  rowCount: 4
  columnCount: 4
  tabWidth: 0.95-1.25 # E2 T1633+4
  tabLength: 0.96-1.25 # D2 T1633+4
  tabPosition: 0.0, 0.0

housing@WLP:
  pattern: BGA
  bodyWidth: 1.437 # E
  bodyLength: 1.347 # D
  height: 0.64 # A
  pitch: 0.4 # e
  rowCount: 3
  columnCount: 3
  leadDiameter: 0.27 # b
  leadCount: 9
